Skip to main content
POST
/
api
/
v1
/
templates
/
cURL
curl --request POST \
  --url https://api.kynva.ai/api/v1/templates/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "data": {},
  "description": "<string>",
  "isPublic": true,
  "tags": [
    "<string>"
  ],
  "variables": "<array>"
}
'
import requests

url = "https://api.kynva.ai/api/v1/templates/"

payload = {
"name": "<string>",
"data": {},
"description": "<string>",
"isPublic": True,
"tags": ["<string>"],
"variables": "<array>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
data: {},
description: '<string>',
isPublic: true,
tags: ['<string>'],
variables: '<array>'
})
};

fetch('https://api.kynva.ai/api/v1/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
name
string
required
Required string length: 1 - 100
data
object
required
description
string
Maximum string length: 500
isPublic
boolean
tags
string[]
variables
array

Response

200

Default Response